{ pkgs, unstablePkgs, ... }:

{
    xdg.configFile = {
    "Kvantum/Catppuccin-Macchiato-Blue/Catppuccin-Macchiato-Blue/Catppuccin-Macchiato-Blue.kvconfig".source = "${unstablePkgs.catppuccin-kvantum}/share/Kvantum/Catppuccin-Macchiato-Blue/Cattpuccin-Macchiato-Blue.kvconfig";
    "Kvantum/Catppuccin-Macchiato-Blue/Catppuccin-Macchiato-Blue/Catppuccin-Macchiato-Blue.svg".source = "${unstablePkgs.catppuccin-kvantum}/share/Kvantum/Catppuccin-Macchiato-Blue/Cattpuccin-Macchiato-Blue.svg";
  };
  qt = {
    enable = true;
    platformTheme.name = "gtk";
    style = {
      name = "plastique";
      # name = "qt6gtk2";
      # package = pkgs.libsForQt5.breeze-qt5;
      package = pkgs.kdePackages.breeze-gtk;
    };
  };

  gtk = {
    enable = true;
    theme = {
      name = "Breeze-Dark";
      # package = pkgs.libsForQt5.breeze-gtk;
      package = pkgs.kdePackages.breeze-gtk;
    };
    iconTheme = {
      name = "nordzy-icon-theme";
      package = pkgs.nordzy-icon-theme;
      # package = pkgs.catppuccin-papirus-folders.override {
      #   flavor = "mocha";
      #   accent = "sky";
      # };
    };
    cursorTheme = {
      name = "Nordzy-cursors";
      package = pkgs.nordzy-cursor-theme;
    };
    gtk3 = {
      extraConfig.gtk-application-prefer-dark-theme = true;
    };
  };

  home.pointerCursor = {
    gtk.enable = true;
    name = "Nordzy-cursors";
    package = pkgs.nordzy-cursor-theme;
    size = 24;
  };

  dconf.settings = {
    "org/gnome/desktop/interface" = {
      gtk-theme = "Breeze-Dark";
      color-scheme = "prefer-dark";
    };
  };
}